# Visualization
TKV3d
Graphic3d

# Graphic3d_Texture1Dsegment Class Reference

This class provides the implementation
of a 1D texture applyable along a segment.
You might use the SetSegment() method
to set the way the texture is "streched" on facets.
.

`#include <Graphic3d_Texture1Dsegment.hxx>`

Inheritance diagram for Graphic3d_Texture1Dsegment:

[legend]

## Public Member Functions

Standard_EXPORT | Graphic3d_Texture1Dsegment (const Handle(Graphic3d_StructureManager)&VM, const Standard_CString FileName)
| Creates a texture from a file .
Standard_EXPORT | Graphic3d_Texture1Dsegment (const Handle(Graphic3d_StructureManager)&VM, const Graphic3d_NameOfTexture1D NOT)
| Creates a texture from a predefined texture name set. .
Standard_EXPORT void | SetSegment (const Standard_ShortReal X1, const Standard_ShortReal Y1, const Standard_ShortReal Z1, const Standard_ShortReal X2, const Standard_ShortReal Y2, const Standard_ShortReal Z2)
| Sets the texture application bounds. Defines the way the texture is stretched across facets. Default values are <0.0, 0.0, 0.0> , <0.0, 0.0, 1.0> .
Standard_EXPORT void | Segment (Standard_ShortReal &X1, Standard_ShortReal &Y1, Standard_ShortReal &Z1, Standard_ShortReal &X2, Standard_ShortReal &Y2, Standard_ShortReal &Z2) const
| Returns the values of the current segment X1, Y1, Z1 , X2, Y2, Z2. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_ShortReal | MyX1
Standard_ShortReal | MyY1
Standard_ShortReal | MyZ1
Standard_ShortReal | MyX2
Standard_ShortReal | MyY2
Standard_ShortReal | MyZ2

## Constructor & Destructor Documentation

Standard_EXPORT Graphic3d_Texture1Dsegment::Graphic3d_Texture1Dsegment | ( | const Handle(Graphic3d_StructureManager)& | VM,
|  | const Standard_CString | FileName
| ) |

Standard_EXPORT Graphic3d_Texture1Dsegment::Graphic3d_Texture1Dsegment | ( | const Handle(Graphic3d_StructureManager)& | VM,
|  | const Graphic3d_NameOfTexture1D | NOT
| ) |

## Member Function Documentation

Standard_EXPORT const Graphic3d_Texture1Dsegment::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Graphic3d_Texture1D.

Standard_EXPORT void Graphic3d_Texture1Dsegment::Segment | ( | Standard_ShortReal & | X1,
|  | Standard_ShortReal & | Y1,
|  | Standard_ShortReal & | Z1,
|  | Standard_ShortReal & | X2,
|  | Standard_ShortReal & | Y2,
|  | Standard_ShortReal & | Z2
| ) | const

Standard_EXPORT void Graphic3d_Texture1Dsegment::SetSegment | ( | const Standard_ShortReal | X1,
|  | const Standard_ShortReal | Y1,
|  | const Standard_ShortReal | Z1,
|  | const Standard_ShortReal | X2,
|  | const Standard_ShortReal | Y2,
|  | const Standard_ShortReal | Z2
| ) |

## Field Documentation

Standard_ShortReal Graphic3d_Texture1Dsegment::MyX1 `[private]`

Standard_ShortReal Graphic3d_Texture1Dsegment::MyX2 `[private]`

Standard_ShortReal Graphic3d_Texture1Dsegment::MyY1 `[private]`

Standard_ShortReal Graphic3d_Texture1Dsegment::MyY2 `[private]`

Standard_ShortReal Graphic3d_Texture1Dsegment::MyZ1 `[private]`

Standard_ShortReal Graphic3d_Texture1Dsegment::MyZ2 `[private]`

The documentation for this class was generated from the following file:

- Graphic3d_Texture1Dsegment.hxx